Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509890 - mscore-2.1.0-3.fc26.x86_64 dies immediately after start
Summary: mscore-2.1.0-3.fc26.x86_64 dies immediately after start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mscore
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 09:43 UTC by Joachim Backes
Modified: 2017-12-10 20:15 UTC (History)
2 users (show)

Fixed In Version: mscore-2.1.0-5.fc27 mscore-2.1.0-5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 19:19:44 UTC


Attachments (Terms of Use)

Description Joachim Backes 2017-11-06 09:43:42 UTC
Description of problem:
I installed mscore-2.1.0-3.fc26.x86_64 from KOJI, but if started it, it dies immediately.

Version-Release number of selected component (if applicable):
mscore-2.1.0-3.fc26.x86_64


How reproducible:
Running /usr/bin/mscore after installing mscore-2.1.0-3.fc26.x86_64


Steps to Reproduce:
1./usr/bin/mscore
2.
3.

Actual results:
Crash

Expected results:
contuing after start

Additional info:
db /usr/bin/mscore
GNU gdb (GDB) Fedora 8.0.1-30.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/mscore...Reading symbols from /usr/lib/debug/usr/bin/mscore.debug...done.
done.
(gdb) run
Starting program: /usr/bin/mscore 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
0x00007fffef664454 in _GLOBAL__sub_I_qprinterinfo.cpp () from /lib64/libQtGui.so.4
Missing separate debuginfos, use: dnf debuginfo-install alsa-lib-1.1.4.1-1.fc26.x86_64 bzip2-libs-1.0.6-22.fc26.x86_64 compat-openssl10-1.0.2j-9.fc26.x86_64 dbus-libs-1.11.18-1.fc26.x86_64 expat-2.2.4-1.fc26.x86_64 flac-libs-1.3.2-2.fc26.x86_64 fontconfig-2.12.6-3.fc26.x86_64 freetype-2.7.1-9.fc26.x86_64 glib2-2.52.3-2.fc26.x86_64 graphite2-1.3.10-1.fc26.x86_64 gsm-1.0.17-1.fc26.x86_64 gstreamer1-1.12.3-1.fc26.x86_64 gstreamer1-plugins-base-1.12.3-1.fc26.x86_64 harfbuzz-1.4.4-1.fc26.x86_64 hyphen-2.8.8-6.fc26.x86_64 jack-audio-connection-kit-1.9.10-8.fc26.x86_64 libICE-1.0.9-9.fc26.x86_64 libSM-1.2.2-5.fc26.x86_64 libX11-1.6.5-2.fc26.x86_64 libXau-1.0.8-7.fc26.x86_64 libXcomposite-0.4.4-9.fc26.x86_64 libXcursor-1.1.14-8.fc26.x86_64 libXext-1.3.3-5.fc26.x86_64 libXfixes-5.0.3-2.fc26.x86_64 libXi-1.7.9-2.fc26.x86_64 libXinerama-1.1.3-7.fc26.x86_64 libXrandr-1.5.1-2.fc26.x86_64 libXrender-0.9.10-2.fc26.x86_64 libXtst-1.2.3-2.fc26.x86_64 libasyncns-0.8-11.fc26.x86_64 libblkid-2.30.2-1.fc26.x86_64 libcap-2.25-5.fc26.x86_64 libffi-3.1-12.fc26.x86_64 libgcc-7.2.1-2.fc26.x86_64 libgcrypt-1.7.9-1.fc26.x86_64 libglvnd-0.2.999-24.20170818git8d4d03f.fc26.x86_64 libglvnd-glx-0.2.999-24.20170818git8d4d03f.fc26.x86_64 libgpg-error-1.25-2.fc26.x86_64 libicu-57.1-6.fc26.x86_64 libjpeg-turbo-1.5.1-0.fc26.x86_64 libmodman-2.0.1-13.fc26.x86_64 libmount-2.30.2-1.fc26.x86_64 libogg-1.3.2-6.fc26.x86_64 libpng-1.6.28-2.fc26.x86_64 libproxy-0.4.15-2.fc26.x86_64 libselinux-2.6-7.fc26.x86_64 libsndfile-1.0.28-6.fc26.x86_64 libstdc++-7.2.1-2.fc26.x86_64 libuuid-2.30.2-1.fc26.x86_64 libvorbis-1.3.5-2.fc26.x86_64 libwebp-0.6.0-2.fc26.x86_64 libxcb-1.12-3.fc26.x86_64 libxml2-2.9.4-2.fc26.x86_64 libxslt-1.1.29-1.fc26.x86_64 lz4-libs-1.8.0-1.fc26.x86_64 opus-1.2.1-1.fc26.x86_64 orc-0.4.27-1.fc26.x86_64 pcre-8.41-3.fc26.x86_64 pcre-utf16-8.41-3.fc26.x86_64 portaudio-19-24.fc26.x86_64 pulseaudio-libs-11.1-5.fc26.x86_64 qt-4.8.7-28.fc26.x86_64 qt-x11-4.8.7-28.fc26.x86_64 qt5-qtbase-5.7.1-19.fc26.x86_64 qt5-qtbase-gui-5.7.1-19.fc26.x86_64 qt5-qtdeclarative-5.7.1-8.fc26.x86_64 qt5-qtlocation-5.7.1-5.fc26.x86_64 qt5-qtsensors-5.7.1-5.fc26.x86_64 qt5-qtsvg-5.7.1-3.fc26.x86_64 qt5-qttools-libs-clucene-5.7.1-5.fc26.x86_64 qt5-qttools-libs-designer-5.7.1-5.fc26.x86_64 qt5-qttools-libs-help-5.7.1-5.fc26.x86_64 qt5-qtwebchannel-5.7.1-3.fc26.x86_64 qt5-qtwebkit-5.212.0-0.5.alpha2.fc26.x86_64 qt5-qtxmlpatterns-5.7.1-5.fc26.x86_64 qtlockedfile-2.4-22.20150629git5a07df5.fc26.x86_64 qtsingleapplication-2.6.1-29.fc26.x86_64 sqlite-libs-3.20.1-1.fc26.x86_64 systemd-libs-233-7.fc26.x86_64 tcp_wrappers-libs-7.6-85.fc26.x86_64 xz-libs-5.2.3-2.fc26.x86_64 zlib-1.2.11-2.fc26.x86_64
(gdb) tb
Temporary breakpoint 1 at 0x7fffef664454
(gdb) bt
#0  0x00007fffef664454 in _GLOBAL__sub_I_qprinterinfo.cpp () at /lib64/libQtGui.so.4
#1  0x00007ffff7de6d93 in call_init (env=0x7fffffffdde8, argv=0x7fffffffddd8, argc=1, l=<optimized out>) at dl-init.c:72
#2  0x00007ffff7de6d93 in _dl_init (main_map=0x7ffff7ffe330, argc=1, argv=0x7fffffffddd8, env=0x7fffffffdde8) at dl-init.c:120
#3  0x00007ffff7dd6e0a in _dl_start_user () at /lib64/ld-linux-x86-64.so.2
#4  0x0000000000000001 in  ()
#5  0x00007fffffffe144 in  ()
#6  0x0000000000000000 in  ()
(gdb) q

Comment 1 Brendan Jones 2017-11-06 12:15:23 UTC
Can you please downgrade 2.1.0-2. I have un-pushed this update

Comment 2 Joachim Backes 2017-11-06 12:52:55 UTC
Works!

Comment 3 Fedora Update System 2017-12-01 10:35:55 UTC
mscore-2.1.0-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bcde46a25b

Comment 4 Fedora Update System 2017-12-01 10:36:25 UTC
mscore-2.1.0-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d86ef06d

Comment 5 Joachim Backes 2017-12-01 13:30:34 UTC
Thanks. mscore-2.1.0-5.fc27.x86_64 works!

Comment 6 Fedora Update System 2017-12-02 19:54:58 UTC
mscore-2.1.0-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bcde46a25b

Comment 7 Fedora Update System 2017-12-02 22:39:33 UTC
mscore-2.1.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d86ef06d

Comment 8 Fedora Update System 2017-12-10 19:19:44 UTC
mscore-2.1.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-12-10 20:15:15 UTC
mscore-2.1.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.